/*
 * Main program for logic language processor
 */
#include <stdio.h>
#include "logsyn.h"

int debug = 0;			/* debug mode for logic routines */
int verbose = 0;		/* good when minimization required */
int jedec_cr = 0;		/* want \r chars in .jdc output */
extern int yydebug;		/* debug for parser */
extern int pdebug;		/* debug for pal & conversion routines */
extern int ddebug;		/* debug for variable definitions */
char *input_file;		/* input file name */

main(ac, av)
int ac;
char **av;
{
	struct expr *ins, *defs;
	struct array *a;
	int i, gotinf;
	char *p;

	gotinf = 0;
	input_file = "(stdin)";
	for( i = 1; i < ac; ++i ){
		p = av[i];
		if( p[0] == '-' ){
			switch( p[1] ){
			case 'd':		/* debug flags */
				p += 2;
				while( *p != 0 )
					switch( *p++ ){
					case 'd':	ddebug = 1;	break;
					case 'p':	pdebug = 1;	break;
					case 'l':	debug = 1;	break;
					default:	usage();
					}
				break;
			case 'v':
				verbose = 1;
				break;
			case 'r':
				jedec_cr = 1;
				break;
			default:
				usage();
			}
		} else {
			if( gotinf )
				usage();
			if( freopen(p, "r", stdin) == NULL ){
				fprintf(stderr, "%s: not found\n", p);
				exit(1);
			}
			input_file = p;
			gotinf = 1;
		}
	}
	predecl();
	yyparse();
	exit(0);
}

usage()
{
	fprintf(stderr, "Usage: logic [-v] [-r] [-d{dpl}] [file.ld]\n");
	exit(1);
}
